{ pkgs ? import <nixpkgs> {} }:

pkgs.stdenv.mkDerivation {
  name = "megacli2prom";
  buildInputs = [ pkgs.megacli ];
  src = pkgs.fetchFromGitHub {
    owner = "PrivateStorageio";
    repo = "megacli2prom";
    rev = "43a5ceeed4219f013ac57a0ec3e76c4c9d2f4d93";
    # sha256 = "0000000000000000000000000000000000000000000000000000";
    sha256 = "1b8j3sg77j7bqg8529zyxfcha2scqdn9b8xvwqv5drcj4r121klc";
  };
  # substituteAllInPlace
  installPhase = ''
    mkdir -p $out/bin
    cp ./megacli2prom.py $out/bin/megacli2prom
    chmod +x $out/bin/megacli2prom
  '';
}

